Subject: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Pip Cet <[email-masked]>
Date: Fri, 20 Dec 2024 07:44:28 +0000

Gerd Möllmann <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> I think I'll read the code a bit now.
>
> BTW, does C-h f x-file-dialog work on platforms != macOS?
> It aborts here for the same reason.

It works here (GNU/Linux x86_64).  I haven't seen any abort on this
system, so it's possible this is specific to macOS, but I don't know
what would be different there.

> And I'm asking myself now why the heck it lands in native_function_doc in
> the first place. Isn't x-file-dialog a C function everywhere?

It doesn't reach native_function_doc here.  But if C-h f native-compile
does reach it, and works fine.

Pip